import {
  DeesElement,
  property,
  html,
  customElement,
  type TemplateResult,
  cssManager,
  css,
} from '@design.estate/dees-element';
import * as domtools from '@design.estate/dees-domtools';

import './internal/uplinternal-miniheading.js';

declare global {
  interface HTMLElementTagNameMap {
    'upl-statuspage-assetsselector': UplStatuspageAssetsselector;
  }
}

@customElement('upl-statuspage-assetsselector')
export class UplStatuspageAssetsselector extends DeesElement {
  public static demo = () => html`
    <upl-statuspage-assetsselector></upl-statuspage-assetsselector>
  `;

  constructor() {
    super();
  }

  public static styles = [
    cssManager.defaultStyles,
    css`
      :host {
          padding: 0px 0px 15px 0px;
          display: block;
          background: ${cssManager.bdTheme('#eeeeeb', '#222222')};
          font-family: Inter;
          color: #fff;
        }

        .mainbox {
          margin: auto;
          max-width: 900px;
          text-align: center;
          height: 50px;
          border-radius: 3px;
          background: ${cssManager.bdTheme('#ffffff', '#333333')};;
        }
    `,
  ]

  public render(): TemplateResult {
    return html`
      <style>
        
      </style>
      <uplinternal-miniheading>Monitored Assets</uplinternal-miniheading>
      <div class="mainbox">
        Hello!
      </div>
    `;
  }
}
