import { DeesElement, property, html, customElement, type TemplateResult, cssManager, css } from '@design.estate/dees-element';
import * as domtools from '@design.estate/dees-domtools';

declare global {
  interface HTMLElementTagNameMap {
    'upl-statuspage-statusbar': UplStatuspageStatusbar;
  }
}

@customElement('upl-statuspage-statusbar')
export class UplStatuspageStatusbar extends DeesElement {
  public static demo = () => html`
    <upl-statuspage-statusbar></upl-statuspage-statusbar>
  `;

  constructor() {
    super();
  }

  public static styles = [
    cssManager.defaultStyles,
    css`
      :host {
          padding: 20px 0px 15px 0px;
          display: block;
          background: ${cssManager.bdTheme('#eeeeeb', '#222222')};;
          font-family: Inter;
          color: #fff;
        }

        .mainbox {
          margin: auto;
          max-width: 900px;
          text-align: center;
          background: #19572E;
          line-height: 50px;
          border-radius: 3px;
        }
    `,
  ]

  public render(): TemplateResult {
    return html`
      <style>
      </style>
      <div class="mainbox">
        Everything is working normally!
      </div>
    `;
  }
}